


for hidden_dim in 100 500 1000 2000
do

    for compression in 0.5 0.75 1
    do
        python histogram.py --mask_dir /saved_masks/mnist/default/fc/snip/ --split_by_method --sort_by_degree --colormap magma --max_samples_per_mask 4000000 --compression $compression --n_layers 4 --hidden_dim $hidden_dim
    done


    for compression in 0.5 0.75 1
    do
        python histogram.py --mask_dir /saved_masks/mnist/default/fc/synflow/ --split_by_method --sort_by_degree --colormap magma --max_samples_per_mask 4000000 --compression $compression --n_layers 4 --hidden_dim $hidden_dim
    done

    for compression in 0.5 0.75 1
    do
        python histogram.py --mask_dir /saved_masks/mnist/default/fc/rand/ --split_by_method --sort_by_degree --colormap magma --max_samples_per_mask 4000000 --compression $compression --n_layers 4 --hidden_dim $hidden_dim
    done

done

